Gallery Platform API
Reference

List artwork price history

Lists an artwork's price changes, newest first. Appended automatically whenever the price changes.

GET
/gallery/artworks/{id}/price-history

Lists an artwork's price changes, newest first. Appended automatically whenever the price changes.

Authorization

bearerAuth artworks:read, artworks.financial:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: artworks:read, artworks.financial:read

Path Parameters

id*string

The artwork id.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "artwork_id": "string",      "price_cents": -9007199254740991,      "currency": "string",      "label": "string",      "changed_by": "string",      "created_at": "string"    }  ]}